org.jboss.jca.as.tracer

## Class Interaction

- java.lang.Object
- - org.jboss.jca.as.tracer.Interaction

-     public class Interaction
      extends java.lang.Object

  An interaction

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Interaction(long thread, long startTime, long endTime, java.util.List<org.jboss.jca.core.tracer.TraceEvent> events, TraceEventStatus status)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConnectionListener()` Get connection listener
    `long` | `getEndTime()` Get end time
    `java.util.List<org.jboss.jca.core.tracer.TraceEvent>` | `getEvents()` Get events
    `java.lang.String` | `getManagedConnectionPool()` Get managed connection pool
    `java.lang.String` | `getPool()` Get pool
    `long` | `getStartTime()` Get start time
    `TraceEventStatus` | `getStatus()` Get status
    `long` | `getThread()` Get thread id
    `java.lang.String` | `getTransaction()` Get transaction

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Interaction

          public Interaction(long thread,
                             long startTime,
                             long endTime,
                             java.util.List<org.jboss.jca.core.tracer.TraceEvent> events,
                             TraceEventStatus status)

      Constructor
      Parameters:
        `thread` - The thread id
        `startTime` - The start time
        `endTime` - The end time
        `events` - The events
        `status` - The status

  - ### Method Detail

    - #### getThread

          public long getThread()

      Get thread id
      Returns:
        The value

    - #### getStartTime

          public long getStartTime()

      Get start time
      Returns:
        The value

    - #### getEndTime

          public long getEndTime()

      Get end time
      Returns:
        The value

    - #### getEvents

          public java.util.List<org.jboss.jca.core.tracer.TraceEvent> getEvents()

      Get events
      Returns:
        The value

    - #### getStatus

          public TraceEventStatus getStatus()

      Get status
      Returns:
        The value

    - #### getPool

          public java.lang.String getPool()

      Get pool
      Returns:
        The value

    - #### getManagedConnectionPool

          public java.lang.String getManagedConnectionPool()

      Get managed connection pool
      Returns:
        The value

    - #### getConnectionListener

          public java.lang.String getConnectionListener()

      Get connection listener
      Returns:
        The value

    - #### getTransaction

          public java.lang.String getTransaction()

      Get transaction
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)